Subject: Clarification about TE and GMPLS enhancement for OSPF

From: Niveda Monyvannan <[email-masked]>
Date: Tue, 22 Jul 2003 17:16:19 +0530

As the TE information is propogated as Type 10 Opaque LSA, area in which the information to be flooded is required..
This area information can be derived from the router LSA.  If the TE link passed by the external module is present in one of its Router LSA
as Type1 or Type2 link,  Router LSA's area is chosen for flooding the Type 10 LSA.
This approach will not hold for GMPLS extension wherein we have the concept of Forwarding adjacency.
For this also, if we enable FA link as ospf passive interface, control packet traffic is avoided whereas the interface might have associated with an area which
 can be used for flooding the FA TE information . But this approach will not work out for unnumbered FA. Even if we enable FA unnumbered interface as
 Passive interface, there won't be any entry in router LSA. (As per RFC 2328,  Section 12.4.1.1, as this is made as passive, there won't be any adjacenecy.
so Type 1 Link will not be there.  Type3 is added only when we have some subnet assigned to this link)

Should we expect the area id also to be passed from the TE Link management module?

I am sorry if this is too implementation specific.

Any help on this is appreciated.
Regards,
Niveda

--
______________________________________________
http://www.indiainfo.com
Now with POP3/SMTP access for only US$14.95/yr

Powered by Outblaze